+++
title = 'Weeknotes 2024: 19/52'
date = 2024-05-12T17:10:25+01:00
+++

## Programming
I finally have the first voxels rendering, along with a basic keyboard controlled camera to fly around. I kept it simple and I'm just using signed distance functions in the compute shader to give me some basic shapes.

{{< figure src="voxels.png#center" caption="This is just a cube with a sphere subtracted from it. Colouring is just based on world coordinates.">}}

I'm still working on the architecture around the rendering, and making it easy to create add new render techniques and swap them in and out. I started researching how to go about profiling the GPU work and came across [Render/ComputePass timestamping](https://docs.rs/wgpu/latest/wgpu/struct.ComputePassDescriptor.html#structfield.timestamp_writes). It's not supported fully on every GPU, but from what I can work out it should be usable on newer GPUs that are likely to be running the benchmark. Most importantly it should be available on *my* GPU. I don't know for sure though. The plan is to get the basics of this implemented next week before working on too much else.

Right now this site uses [Hugo](https://gohugo.io) to statically generate everything. It's fairly nice to use, but I've been thinking more about what I want on the site (aside from this blog) and realised that some of the things I want might *not* be static content. I've been looking into [Astro](https://astro.build) recently because it seems to be a good middleground. The majority of content is static, but you can have what Astro calls "islands" on a page of interactive non-static content. These islands can use whatever UI framework you want (React, Vue, Angular etc.) and each island is run in isolation of each other, meaning you can use multiple frameworks on a page if you want to which is cool I guess. The only downside for my blog would be that I wouldn't be able to just write some markdown and make a git commit anymore. I'd likely have to host some sort of headless content management system like [Strapi](https://strapi.io/). Could be fun to set up though, and it would probably make writing from my phone easier. I mocked up a redesign of [The StoryGraph](https://app.thestorygraph.com) (I use storygraph for all my book tracking) which should be available [here](https://astro-tailwind-zeta.vercel.app/).

{{< figure src="storygraph-astro.webp#center" caption="It's not really functional in any way, and it's not responsive, but it looks nice I think. Web design isn't really my forte.">}}

For now I'm going to stick with using Hugo for this site, though I plan to ditch the theme I'm using at the moment and go with something bespoke and a bit more personable. If I end up needing more I'll probably switch to Astro.

## Reading
This week I read [The Book That Broke the World by Mark Lawrence](https://app.thestorygraph.com/books/dad8814b-3a61-4bcb-9268-3a891a2da2f6), the followup to [The Book That Wouldn't Burn](https://app.thestorygraph.com/books/868f1415-35ad-4a13-8728-e4e30033f6c4) which I read a couple weeks back. This book released about a month ago, and seeing as I liked the first book so much I figured I'd get a signed hardback copy while they were available. It was pretty cheap at £15. The second book really expands on the world and setting, and we get to experience the perspectives of more characters. I enjoyed the book, but it suffers a little bit from middle book syndrome. I'm looking forward to the final book next year and hoping that the set-up in this book pays off. For now I'm using this for the "Published in 2024" square of my [r/fantasy bingo](https://www.reddit.com/r/Fantasy/comments/1bt4iqf/official_rfantasy_2024_book_bingo_challenge/). I say "for now" because this doesn't qualify for hard mode and all the other squares that I have books planned for do. I'm not super focused on hitting a full hard mode bingo sheet, but if I can it would be nice.

On friday I started reading [Ninth House by Leigh Bardugo](https://app.thestorygraph.com/books/d06e1df1-e5b5-45cc-8b2b-f28edb703508) for the "Dark Academia" bingo square. I remember hearing about this book when it released a few years back and I went in mostly blind based on what I could remember of the discussions around it back then. I'm about 2/3 of the way through right now and my expectations were completely off. I was expecting something like [The Magicians](https://www.imdb.com/title/tt4254242/) (which I need to read, I've only seen the show) mixed with Harry Potter in a more grounded setting. What I'm getting is a murder mystery with a side of magic. The books been decent so far, a little outside of my regular reading area, but still good. I will say this comes with a big content warning for rape and drug abuse.

## Other

I did some gardening on monday. I started by clearing out the section of garden bed outside my door that had been taken over by some periwinkle or something that my mum planted a while back. Got some new plants from the local garden center which just reopened after some terrible flooding earlier in the year, a dahlia and 2 other plants I don't remember the name of. It was looking all nice and I was looking forwards to seeing it grow and fill out over the summer. Unfortunately earlier today our little demon pup dug in the exposed dirt and shredded the new plants in the process. I don't really blame her though, she was meant to being supervised in the garden to make sure that didn't happen. Oh well, I'll try again in a couple of weeks I guess.

Yesterday I posted about [fitness apps](/blog/fitness-apps/) and my desire to start swimming this year. Today I looked into where I can swim near me and found out that the leisure center in town got shut down a couple of months ago because it was falling apart. The other towns around me still have swimming pools though so I'm hoping to try one out at some point next week and get a membership if I attend more regularly. I don't drive so I'll have to cycle over for the evening sessions. It's about 17km each way, which isn't too bad but we'll see how that feels with the swimming included. I don't know if I should talk about my general exercise in these posts because it doesn't really change week to week. Twice a day I go for a walk around the farm with my dog, and once or twice a week I go for a bike ride. I guess if there's anything exciting that happens I can mention that.

This past week and a half I've been playtesting a game that I've been looking forwards to for a couple of years. I was part of a previous playtest on their discord 2 years back, and they invited me to do some testing pre-release of the game. I can't say what the game is, but it's been fun and I'll probably mention when it releases.