+++
title = 'Weeknotes 2024: 20/52'
date = 2024-05-19T19:05:17+01:00
+++

## Programming
Last week I mentioned [GPU timestamp writes](https://docs.rs/wgpu/latest/wgpu/struct.ComputePassDescriptor.html#structfield.timestamp_writes) as something to look into for getting accurate timings for benchmarks. This week I managed to get a basic usage of them implemented. Initially I tried using them from scratch myself, but after a while I came across the [wgpu-profiler crate](https://github.com/wumpf/wgpu-profiler) which made everything super simple once I got it set up. I couldn't get it to work to begin with, but then I realised that the version of the crate I was using was for a newer version of wgpu and I needed to downgrade wgpu-profiler. I'll probably upgrade my wgpu and winit next week.

{{< figure src="benchmarking.webp#center" caption="Super simple console output of the frame timings for various render stages.">}}

Throughout the week I've been fiddling around in [Figma](https://www.figma.com/) working on a refresh of this sites design. It's not finished, and I've not started implementing it yet, but I'm pretty happy so far. I've kept it minimal like the current design but it's still got a little bit of personality. In addition to the already existing pages I designed some pages relating to my reading. Just a simple list view with book thumbnails (sourced from StoryGraph) sorted by year and a per book page with my rating, some basic info, spoiler free thoughts like what I'm already writing in my weeknotes, and a full spoiler review. I'm not sure when the redesign will go live, probably in a month or two.

## Reading
I finished [Ninth House by Leigh Bardugo](https://app.thestorygraph.com/books/d06e1df1-e5b5-45cc-8b2b-f28edb703508). It was okay. I was more positive on it last week, but by the end of the book it had started to fall flat. None of the characters were very well defined, and the main character isn't particularly likable, which is all fine if the resolution of the mystery is interesting. Unfortunately it's kind of not. The perpetrator of the murder is exactly who you think it is for most of the book, and their motivations are incredibly bland. You then get a random twist that attempts to connect some of the side mysteries, but does a poor job of it by using a character who is in the book twice and has absolutely zero foreshadowing. The book ends with a setup for a sequel adventure, which came out last year and is called [Hell Bent](https://app.thestorygraph.com/books/8b7683e4-ea47-4d80-864e-c4ec56e2aafc), but I'm not going to bother reading it.

Currently I'm reading [The Spear Cuts Through Water by Simon Jimenez](https://app.thestorygraph.com/books/423e819b-8fe6-4b7c-8980-d34909a4db8a) and it's very good so far. It has a cool narrative structure, where the story is told through a character watching a stage play in a dream land. The prose is quite good, and the characters are varied. So far the stage play element feels slightly gimmicky, but I'm looking forward to seeing how the events of the past (told via the play) connect to the present. Hopefully it doesn't disappoint as much as Ninth House did.

## Other
My cycling has been going well, and I'm looking forward to my bikepacking trip in a couple of months. I don't have a date set yet, but time off work is pretty flexible so I'm not too worried. I watched [a video from GCN](https://youtu.be/W2n0VeBnlpM) about "zone 2" training. I'd heard of it before but never looked into it. Basically you just make sure to stay below the intensity at which the level of lactic acid in your blood starts to rise rapidly. It's good for training endurance and stuff. I don't have the capability to do all the fancy tests in the video so I just did some rough estimates of what sort of heart rate I should be staying below. I've done two rides since then, staying in the 150-160 bpm range for a majority of the time and wow it feels so much better. Neither ride was super long distance, both were 25km. Next week I'm going to start doing some longer rides again and try to work up to doing 100km+ regularly.

My dog is still taking training classes every saturday, and they've been going well. The trainer mentioned a while ago some of the other sessions they run and suggested we try out flyball. We had our first little taster session this morning and it was great fun. It's a team based sport where dogs run down some hurdles, collect a ball, and run back in a relay. The three dogs at the session were all new so we did individual runs, and Calliope is too young to be doing the jumps (though she can handle them fine I'm sure). My mum took a video of one of her runs early on, though it's terrible quality and she was way better towards the end of the session. You can [watch it here](https://youtube.com/2pMxXzpOc84). I'm hoping we can continue doing some flyball (or other sports) as Calliope seems to really enjoy it.
