+++
title = 'Weeknotes 2024: 22/52'
date = 2024-06-03T16:51:57+01:00
+++

## Programming
I worked on my Thief related site a bit this week. The site is for uploading and downloading custom resources for map making. In the past things have mostly been scattered around peoples personal sites or in forum posts. There was the "Thief Object Repository" previously, but it was super jank and hasn't been around for a couple of years at this point. I actually worked on a version of this back in 2020 or so but it never reached a point where it was really useable, and I unfortunately don't seem to have the codebase around anymore so I had to start from scratch.

The week started with some planning and design. I primarily took inspiration from the Minecraft modding site [Modrinth](https://modrinth.com) because it's simple, clear, and easy to implement. In the future I think I might want to make things feel more Thiefy, but for now while I get the functionality in it's okay I think. I got a basic API for listing resources and getting the details of specific resources, and used that for a basic resource listing page. There's no files involved yet, but [Supabase](https://supabase.com/) has a file storage service and the API for everything is well documented. I haven't got around to self-hosting Supabase yet, once everything is a bit more finished I'll look into doing that.

{{< figure src="darkresources.webp#center" caption="A work of art. The filters don't actually do anything yet, but the rest of the content comes from the objects database.">}}

I realised that I kind of want this to be a part of a larger platform for the Thief mapping/modding community, with other projects around reverse engineering and such. One of the major factions in the Thief games are the Keepers, who specialise in knowledge. It seemed fitting so I'm calling the platform Keeper's Compound. I bought the domain earlier today, though it's not being used for anything (yet).

## Reading
I finished [A Memory Called Empire by Arkady Martine](https://app.thestorygraph.com/books/64ddadda-b4ab-4f8d-9f7d-5fc1d5930cfd) and it was very good. It feels quite heavily inspired by [Ann Leckie's Imperial Radch trilogy](https://app.thestorygraph.com/series/6), which explains the quote from her on the book cover. I thought the characters and the mystery where interesting, and what we saw of the world felt just big enough with hint of the wider empire. I liked the names of the Teixcalaanzli (fuck knows how to say that) characters and how much poetry was used throughout, both of which again felt inspired by the Imperial Radch (in a good way). I've already purchased the second book of the duology.

## Other
One of the games in Metroidvania Mania bundle from last week is [Death's Gambit: Afterlife](https://store.steampowered.com/app/356650/Deaths_Gambit_Afterlife/). I'm about 12 hours in now and it's fairly good. Early on I didn't feel that the game was particularly good, but it's really opened up now and the story and world is starting to come together. From some searching online it seems that the content I've enjoyed most is stuff that was added or heavily changed as part of the Afterlife update. I don't know how much of the game is left but if it keeps up the quality it'll be a pretty solid game. Far from the best metroidvania I've played, but also far from the worst.

Recently I came to the incredible realisation that the fields I walk my dog in can be used as a [seven-segment display](https://en.wikipedia.org/wiki/Seven-segment_display) and decided to start what I'm calling Project 69. I know it's immature but I can't help it. I take my dog for two walks a day, so in the morning I write a 6 and in the evening I write a 9. I broke my streak on sunday when I went on auto-pilot and accidentally wrote a 0 in the evening. I'd love to show you the results of these walks, but I don't want to dox myself lol.

This weekend was the local beer fest. I didn't end up going because the field was super muddy, but I did go for a meal with some friends at our favourite nepalese restaurant which was nice.

On tuesday I had a nice call with my mate Tom. We message regularly, but because they live quite far away nowadays we don't get to talk properly or see each other much. They also works nights which doesn't help. We made a loose plan to call on tuesday mornings so I'm looking forward to that.

