+++
title = 'Weeknotes 2024: (24, 25,) 26/52'
date = 2024-06-30T19:25:45+01:00
+++

Wow it's been three weeks since my last weeknote how embarassing. I was ill for the first one, but the second I have no excuse, I was just feeling too lazy to write. So for this week I'll try and roughly cover what I did in the first two weeks too, I've probably forgotten a lot of what happened though.

## Programmming/dev
I don't think I did *any* programming in the first two weeks, but the third week I got inspired while watching [Alex Hetherington](https://footnotesforthefuture.com/) work on the level design for their new game [3 Shots Left](https://store.steampowered.com/app/2902400/3_Shots_Left/) (they previously made [Ballistic Zen](https://store.steampowered.com/app/1966930/Ballistic_Zen/) which I love).

The game is built in the [Godot game engine](https://godotengine.org/) and the maps are made using [Trenchbroom](https://trenchbroom.github.io), a Quake (and successor) engine .map file editor. I've used Trenchbroom before, and have also messed around with the two main .map importers for Godot, [TBLoader](https://github.com/codecat/godot-tbloader) and [Qodot](https://github.com/QodotPlugin/Qodot). A few months back a successor for Qodot was released called [func_godot](https://github.com/func-godot/func_godot_plugin) and I've been meaning to try it out, so now seemed like a good time.

Setting up func_godot was super simple. The documentation for it is very solid. The plugin comes with tools to generate game config files for Trenchbroom so you can jump straight into mapping. Actually importing the maps into Godot just requires adding a FuncGodotMap node to your scene, setting the path to the .map file, and pressing "Build map". It's great. Setting up custom entities for placement in Trenchbroom was also a similarly straightforward process.

Another thing that Alex has in his game, and that every game should have, is a developer console where you can input useful commands like `load_map my_cool_map`. Many old games have these, and I imagine many modern games use them during development, but they're often stripped out of final releases unfortunately. I'm sure there's plenty of existing plugins for this in the Godot ecosystem but it seemed like a fun thing to make myself. It took me a couple of hours of work, but the end result is pretty useable. Registering commands is incredibly simple too, there's a global `Console` singleton and you can just call `Console.add_command("command_name", command_callable_function, "description")` from wherever.

You can see all the results of this in [this video](https://youtu.be/vO0IeOKYTdc). I might work some more on this at some point, just experimenting with some systems or whatever. Probably not though.

This isn't programming at all, but I've started working on a custom map for Ballistic Zen again. I actually started this map over a year ago as part of a proof of concept mod for custom maps in the game, before official support was added. The map keeps growing in size, and if I keep taking multi-month breaks during development I might never finish it, but for now I'm having fun working on it again. Also mapping for this is once again done in Trenchbroom (it's such a good editor).

{{< figure src="ballistic_zen_map.webp#center" caption="It's hard to tell the scale from this screenshot, but the map is kinda huge and kinda dense as fuck when you're playing">}}

## Reading
I finished [A Desolation Called Peace by Arkady Martine](https://app.thestorygraph.com/books/a551a4c2-1fe3-44ed-a457-9e5f14eaa380) and it was good. It's quite different from the first book. I liked how the main story was wrapped up, but some of the side plots (such as with Eight Antidote) didn't really feel properly resolved. I'm not sure if there's more books in this universe planned, but if there are I hope they leave Mahit and Three Seagrass alone and focus on other characters.

For the Romantasy square of my r/fantasy bingo sheet I read [The Song of Achilles by Madeline Miller](https://app.thestorygraph.com/books/ebb5f076-757c-4096-bda9-7d79bb5462c0) due to numerous recommendations for it as not being too overtop with the romance (not really my genre). When I got the book and it had quotes like "Sexy, dangerous, mystical" and "An exciting, sexy, violent Superman version of The Iliad" (Superman???) on the cover I was worried that it would be a bit smuttier than I wanted, but it ended up being pretty fine in that department. Unfortunately I didn't really care for the book, but I can see why other people like it. The story is pretty straightforward as expected of something based on The Iliad, but the romance kind of sucks. Patroclus just latches on to Achilles and is borderline obssessed with him, whereas Achilles never really feels like he cares much about Patroclus, and towards the end is just straight up a toxic bloke. It was still a decent read, but it sort of reaffirmed my belief that I don't care for romance novels.

Next I read [The Tropic of Serpents by Marie Brennan](https://app.thestorygraph.com/books/39e5ceda-901c-48c1-b8f2-c23cdd1b5aaf) for the Entitled Animals bingo square. Pretty much exactly a year ago I read the first book in the Lady Trent series, and I'm dissapointed it took me so long to get to this second book. I loved the first book, and it has one of my favourite book covers. The second was just as good (and had almost as good a cover). I love the sense of adventure, and watching (reading) the joy the main character experiences as she (and we) learn more about the dragons that inhabit her world. There's a few more books in the series, and they're all fairly short so I'll probably read them soon.

Right now I'm reading [The Lies of Locke Lamora by Scott Lynch](https://app.thestorygraph.com/books/caa250a8-520b-44ae-8843-862f5f865634). It's a great book name, and the only book I could think of that meets the Hard Mode requirements for the Alliterative Title bingo square. I know that this series isn't finished, but my understanding is that the first book is pretty much standalone and there's not some big looming cliffhanger or major plot continuation. So far I'm loving the book. The prose is great and the characters are charming and fun. I also enjoy the setting with it's rivers and manor yachts and floating gardens. Really cool stuff and the main heist (they're thieves/conmen) is coming together nicely.

## Other
I signed up for a 10k run. It's in a week. I don't know why I did this, I don't run. I've been "training" for a week and a half. I can probably do it, but I'll be slow as shit. Committed now though. Wish me luck.

I did a (late) spring clean of my room today. Got rid of a bunch of things I don't use/need anymore and are functionally rubbish. While I was at it I took all my books off my bookshelf, partly to reorganise things, and partly so I could move the bookshelf slightly and access the plugs behind it. I've been running an extension cable across my room for ages and it just gets in my way all the time. Having the cable plugged in behind my bookshelf is much nicer.

I started playing [osu!](http://osu.ppy.sh/) again. I'm so trash at it now, not that I was ever very good. Gonna take it slow and hope that my wrists don't start exploding again. If they do I guess I'll stop playing :( I've also started playing [Project Zomboid](https://projectzomboid.com). I've owned it for years and have given it a try a couple times, but never enough to really get into it and last more than a day or two. It's good fun and I feel like I'm starting to get the hang of things.

We started growing some things in the greenhouse because my niece thought it would be good and cool to do (it is I agree). There's strawberries (except not really because they completely failed to grow), cucumber, courgettes, squash, mint (jk it all died immediately after popping its head out), and spring onions. The mint and spring onion pots aren't shown in the picture below, mainly because there's nothing really to see with them, but everything else is looking good.

{{< figure src="greenhouse.webp#center" caption="Look at all those lovely green things">}}

I'm absolutely sure there's more things I did these three weeks, but it's 9pm and I'm tired and I don't remember anything else right now so I'll just stop here bye.